Subject: display cases

From: Gary Jenkins <[email-masked]>
Date: Sat, 29 Jun 1996 14:38:10 -0700

Would anyone have suggestions where one could purchase glass "Bell Jar"
type display enclosures.  I have a few of my favorite specimens that I
would like to display without having them damaged by the elements.

Any help finding a possible supplier would be greatly appreciated!

Thanks